import { computed, defineComponent, onMounted, ref, watch } from 'vue'
import { useUserStore } from '@store/UserStore'
import { useRoute, useRouter } from 'vue-router'
import { useI18n } from 'vue-i18n'
import { useQuasar } from 'quasar'
import { CMyCardPopup } from '@src/components/CMyCardPopup'
import { CMyPage } from '@src/components/CMyPage'
import { CNotifSettings } from '@src/components/CNotifSettings'
import { toolsext } from '@store/Modules/toolsext'
import { tools } from '@tools'
import { shared_consts } from '@src/common/shared_vuejs'

export default defineComponent({
  name: 'usernotifs',
  components: { CMyCardPopup, CNotifSettings, CMyPage },
  props: {},
  setup() {
    const userStore = useUserStore()
    const $route = useRoute()
    const $q = useQuasar()
    const { t } = useI18n()

    return {
      t,
      toolsext,
      tools,
      shared_consts,
    }
  }
})
